Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.objects.PDFStructTree Class Reference
Inheritance diagram for foxit.pdf.objects.PDFStructTree:

## Public Member Functions
| PDFStructTree (PDFDoc document)
| Constructor, with parameters. More...
| PDFStructTree (PDFStructTree other)
| Constructor, with another PDF structure tree object. More...
StructElement | GetChild (int index)
| Get the structure element by index. More...
int | GetChildCount ()
| Get count of structure elements in current PDF structure tree. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | RemoveChild (int index)
| Remove the structure element by index. More...

## Detailed Description

PDF structure tree is a kind of common data structure in tagged PDF documents. A structure tree is used in PDF files to represent the organization and hierarchy of the document's content. PDF structure tree has following characteristics:

- A PDF structure tree is also a hierarchical structure, with the top node representing the entire document and the lower nodes representing pages, paragraphs, headings, and other elements.

- A PDF structure tree contains semantic information about the content of the document, such as headings, paragraphs, tables, and lists. This information is used to enhance the accessibility and usability of the document, as well as to optimize its display and printing;

Class PDFStructTree is used to be associated with an existing PDF structure tree. It offers functions to get structure elements in the PDF structure tree.

## Constructor & Destructor Documentation

## ◆ PDFStructTree() [1/2]

foxit.pdf.objects.PDFStructTree.PDFStructTree | ( | PDFDoc | document | ) |
| inline

Constructor, with parameters.

If there exists PDF structure tree in the PDF document, this function is just to construct a PDF structure tree object to be associated with the structure tree.

Parameters

  [in] | document | A valid PDF document object.

## ◆ PDFStructTree() [2/2]

foxit.pdf.objects.PDFStructTree.PDFStructTree | ( | PDFStructTree | other | ) |
| inline

Constructor, with another PDF structure tree object.

Parameters

  [in] | other | Another PDF structure tree object.

## Member Function Documentation

## ◆ GetChild()

StructElement foxit.pdf.objects.PDFStructTree.GetChild | ( | int | index | ) |
| inline

Get the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function PDFStructTree.GetChildCount .

Returns
  A StructElement object.

## ◆ GetChildCount()

int foxit.pdf.objects.PDFStructTree.GetChildCount | ( |  | ) |
| inline

Get count of structure elements in current PDF structure tree.

Returns
  The structure elements count.

## ◆ IsEmpty()

bool foxit.pdf.objects.PDFStructTree.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveChild()

void foxit.pdf.objects.PDFStructTree.RemoveChild | ( | int | index | ) |
| inline

Remove the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function PDFStructTree.GetChildCount .

Returns
  None.